#ifndef EDITORWINDOW_H
#define EDITORWINDOW_H

#include <QMainWindow>
#include "syntaxhighlighter.h"
#include <memory>

namespace Ui
{
    class BrainyWindow;
}


class BrainyWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit BrainyWindow(QWidget *parent = 0);
    ~BrainyWindow();

    bool changedAnything;
    std::unique_ptr<QFile> openedFile;
    void openFile();
    void saveFile();
    void saveFileAs();

    void startRun();

    bool changesToSave() const;

private:
    std::unique_ptr<Ui::BrainyWindow> ui;
    std::unique_ptr<SyntaxHighlighter> sh;
};

#endif // EDITORWINDOW_H
